<?php
$xpdo_meta_map['IskWafIp2LocationDetail']= array (
  'package' => 'iskwaf2x',
  'version' => '1.1',
  'table' => 'iskwaf_ip2location_details',
  'extends' => 'xPDOSimpleObject',
  'tableMeta' => 
  array (
    'engine' => 'InnoDB',
  ),
  'fields' => 
  array (
    'ip_address' => NULL,
    'ip_from' => NULL,
    'ip_to' => NULL,
    'country_code' => NULL,
    'country_name' => NULL,
    'region_name' => NULL,
    'city_name' => NULL,
    'latitude' => NULL,
    'longitude' => NULL,
    'zip_code' => NULL,
    'time_zone' => NULL,
    'cidr' => NULL,
    'asn' => NULL,
    'as_name' => NULL,
    'last_checked' => NULL,
  ),
  'fieldMeta' => 
  array (
    'ip_address' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '45',
      'phptype' => 'string',
      'null' => false,
    ),
    'ip_from' => 
    array (
      'dbtype' => 'int',
      'precision' => '10',
      'attributes' => 'unsigned',
      'phptype' => 'integer',
      'null' => true,
    ),
    'ip_to' => 
    array (
      'dbtype' => 'int',
      'precision' => '10',
      'attributes' => 'unsigned',
      'phptype' => 'integer',
      'null' => true,
    ),
    'country_code' => 
    array (
      'dbtype' => 'char',
      'precision' => '2',
      'phptype' => 'string',
      'null' => true,
    ),
    'country_name' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '64',
      'phptype' => 'string',
      'null' => true,
    ),
    'region_name' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '128',
      'phptype' => 'string',
      'null' => true,
    ),
    'city_name' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '128',
      'phptype' => 'string',
      'null' => true,
    ),
    'latitude' => 
    array (
      'dbtype' => 'double',
      'phptype' => 'float',
      'null' => true,
    ),
    'longitude' => 
    array (
      'dbtype' => 'double',
      'phptype' => 'float',
      'null' => true,
    ),
    'zip_code' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '30',
      'phptype' => 'string',
      'null' => true,
    ),
    'time_zone' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '8',
      'phptype' => 'string',
      'null' => true,
    ),
    'cidr' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '43',
      'phptype' => 'string',
      'null' => true,
    ),
    'asn' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '10',
      'phptype' => 'string',
      'null' => true,
    ),
    'as_name' => 
    array (
      'dbtype' => 'varchar',
      'precision' => '256',
      'phptype' => 'string',
      'null' => true,
    ),
    'last_checked' => 
    array (
      'dbtype' => 'datetime',
      'phptype' => 'timestamp',
      'null' => true,
    ),
  ),
  'indexes' => 
  array (
    'ip_address_uq' => 
    array (
      'alias' => 'ip_address_uq',
      'primary' => false,
      'unique' => true,
      'type' => 'BTREE',
      'columns' => 
      array (
        'ip_address' => 
        array (
          'length' => '',
          'collation' => 'A',
          'null' => false,
        ),
      ),
    ),
    'ip_range' => 
    array (
      'alias' => 'ip_range',
      'primary' => false,
      'unique' => false,
      'type' => 'BTREE',
      'columns' => 
      array (
        'ip_from' => 
        array (
          'length' => '',
          'collation' => 'A',
          'null' => true,
        ),
        'ip_to' => 
        array (
          'length' => '',
          'collation' => 'A',
          'null' => true,
        ),
      ),
    ),
    'asn_idx' => 
    array (
      'alias' => 'asn_idx',
      'primary' => false,
      'unique' => false,
      'type' => 'BTREE',
      'columns' => 
      array (
        'asn' => 
        array (
          'length' => '',
          'collation' => 'A',
          'null' => true,
        ),
      ),
    ),
    'country_code_idx' => 
    array (
      'alias' => 'country_code_idx',
      'primary' => false,
      'unique' => false,
      'type' => 'BTREE',
      'columns' => 
      array (
        'country_code' => 
        array (
          'length' => '',
          'collation' => 'A',
          'null' => true,
        ),
      ),
    ),
    'city_name_idx' => 
    array (
      'alias' => 'city_name_idx',
      'primary' => false,
      'unique' => false,
      'type' => 'BTREE',
      'columns' => 
      array (
        'city_name' => 
        array (
          'length' => '',
          'collation' => 'A',
          'null' => true,
        ),
      ),
    ),
    'last_checked_idx' => 
    array (
      'alias' => 'last_checked_idx',
      'primary' => false,
      'unique' => false,
      'type' => 'BTREE',
      'columns' => 
      array (
        'last_checked' => 
        array (
          'length' => '',
          'collation' => 'A',
          'null' => true,
        ),
      ),
    ),
  ),
);
