<?php
/**
 * Обновление правила IskWafRuleIp для iskwaf2x (MODX2)
 */

class IskWaf2xItem2UpdateProcessor extends modObjectUpdateProcessor
{
    public $objectType = 'IskWafRuleIp';
    public $classKey = 'IskWafRuleIp';
    public $languageTopics = array('iskwaf2x:default');
    

    public function beforeSave()
    {
        if (!$this->checkPermissions()) {
            return $this->modx->lexicon('access_denied');
        }
        return true;
    }

    public function process()
    {
        if (!$this->checkPermissions()) {
            return $this->failure($this->modx->lexicon('access_denied'));
        }

        return parent::process();
    }
}

return 'IskWaf2xItem2UpdateProcessor';
