<?php

class IskWafIp2LocationDetailGetProcessor extends modObjectGetProcessor
{
    public $objectType = 'IskWafIp2LocationDetail';
    public $classKey = 'IskWafIp2LocationDetail';
    public $languageTopics = ['iskwaf2x:default'];
    


    /**
     * We doing special check of permission
     * because of our objects is not an instances of modAccessibleObject
     *
     * @return mixed
     */
    public function process()
    {
        if (!$this->checkPermissions()) {
            return $this->failure($this->modx->lexicon('access_denied'));
        }

        return parent::process();
    }

}

return 'IskWafIp2LocationDetailGetProcessor';