<?php


if (!isset($_SESSION['iskwaf2x_full_captcha_code']) || empty($_SESSION['iskwaf2x_full_captcha_code'])) {
    header("Content-type: image/png");

    $err_width = 150;
    $err_height = 50;
    $im = @imagecreate($err_width, $err_height) or die("Cannot Initialize new GD image stream");
    $background_color = imagecolorallocate($im, 255, 255, 255);
    $text_color = imagecolorallocate($im, 233, 14, 91);
    $font_err = 5;
    $text_width_err = imagefontwidth($font_err) * strlen("Error");
    $text_height_err = imagefontheight($font_err);
    imagestring($im, $font_err, ($err_width - $text_width_err) / 2, ($err_height - $text_height_err) / 2, "Error", $text_color);
    imagepng($im);
    imagedestroy($im);
    exit;
}


$text = $_SESSION['iskwaf2x_full_captcha_code'];


$font_path = MODX_ASSETS_PATH. 'components/iskwaf2x/fonts/arial.ttf';
if (!file_exists($font_path)) {
    $font_size_gd = 5;
    $width = imagefontwidth($font_size_gd) * strlen($text) + 40;
    $height = imagefontheight($font_size_gd) + 30;
    $image = imagecreatetruecolor($width, $height);
    $white = imagecolorallocate($image, 255, 255, 255);
    $black = imagecolorallocate($image, 0, 0, 0);
    $gray = imagecolorallocate($image, 200, 200, 200);
    imagefilledrectangle($image, 0, 0, $width - 1, $height - 1, $white);
    for ($i = 0; $i < 5; $i++) {
        imageline($image, rand(0, $width), rand(0, $height), rand(0, $width), rand(0, $height), $gray);
    }
    $x = ($width - (imagefontwidth($font_size_gd) * strlen($text))) / 2;
    $y = ($height - imagefontheight($font_size_gd)) / 2;
    imagestring($image, $font_size_gd, $x, $y, $text, $black);
} else {
    $font_size_ttf = 24;
    $angle = rand(-5, 5);
    $padding = 20;

    $bbox = imagettfbbox($font_size_ttf, 0, $font_path, $text);
    $text_width = abs($bbox[4] - $bbox[0]);
    $text_height = abs($bbox[5] - $bbox[1]);

    $width = $text_width + $padding * 2;
    $height = $text_height + $padding * 2;

    $image = imagecreatetruecolor($width, $height);

    $white = imagecolorallocate($image, 255, 255, 255);
    $black = imagecolorallocate($image, rand(0,100), rand(0,100), rand(0,100));
    $gray = imagecolorallocate($image, 200, 200, 200);
    $light_gray = imagecolorallocate($image, 220, 220, 220);

    imagefilledrectangle($image, 0, 0, $width - 1, $height - 1, $white);

    for ($i = 0; $i < 10; $i++) {
        imageline($image, rand(0, $width), rand(0, $height), rand(0, $width), rand(0, $height), $light_gray);
    }
    for ($i = 0; $i < 100; $i++) {
        imagesetpixel($image, rand() % $width, rand() % $height, $light_gray);
    }

    $x = $padding;
    $y = $padding + $font_size_ttf * 0.75 + ($text_height / 2 - $font_size_ttf * 0.3);

    $y_center = ceil(($height - $text_height)/2 + $text_height);

    imagettftext($image, $font_size_ttf, $angle, $x, $y_center, $black, $font_path, $text);
}

header("Content-type: image/png");
header("Cache-Control: no-cache, no-store, must-revalidate");
header("Pragma: no-cache");
header("Expires: 0");

imagepng($image);
imagedestroy($image);
exit;