iskwaf2x.panel.Home = function (config) {
    config = config || {};
    Ext.apply(config, {
        baseCls: 'modx-formpanel',
        layout: 'anchor',

        items: [{
            html: '<h2>' + _('iskwaf2x') + '</h2>',
            cls: 'container',
            //style: {margin: '15px 10px 10px 10px'}
        }, {
            xtype: 'modx-tabs',
            defaults: {border: false, autoHeight: true},
            border: true,
            hideMode: 'offsets',
            style: { marginBottom: '5px' }, // Добавляем отступ снизу от табов
            items: [{
                title: _('iskwaf2x_log_tab'),
                layout: 'anchor',
                items: [{
                    html: '',
                    cls: 'panel-desc',
                }, {
                    xtype: 'panel',
                    cls: 'container',
                    items: [{}, {
                        xtype: 'iskwaf2x-grid-items'
                    }]
                }]
            }, {
                title: _('iskwaf2x_rules_ip_tab'),
                layout: 'anchor',
                items: [{
                    html: '',
                    cls: 'panel-desc',
                }, {
                    xtype: 'panel',
                    cls: 'container',
                    items: [{}, {
                        xtype: 'iskwaf2x-grid-items2'
                    }]
                }]
            }, {
                title: _('iskwaf2x_rules_useragent_tab'),
                layout: 'anchor',
                items: [{
                    html: '',
                    cls: 'panel-desc',
                }, {
                    xtype: 'panel',
                    cls: 'container',
                    items: [{}, {
                        xtype: 'iskwaf2x-grid-items3'
                    }]
                }]
            }, {
                title: _('iskwaf2x_referrerrule_tab'),
                layout: 'anchor',
                items: [{
                    html: '',
                    cls: 'panel-desc',
                }, {
                    xtype: 'panel',
                    cls: 'container',
                    items: [{}, {
                        xtype: 'iskwaf2x-grid-items4'
                    }]
                }]
            },{
                title: _('iskwaf2x_requesturirule_tab'),
                layout: 'anchor',
                items: [{
                    html: '',
                    cls: 'panel-desc',
                }, {
                    xtype: 'panel',
                    cls: 'container',
                    items: [{}, {
                        xtype: 'iskwaf2x-grid-items5'
                    }]
                }]
            },{
                title: _('iskwaf2x_ip_details_tab'),
                layout: 'anchor',
                items: [{
                    html: '',
                    cls: 'panel-desc',
                }, {
                    xtype: 'panel',
                    cls: 'container',
                    items: [{}, {
                        xtype: 'iskwaf2x-grid-items6'
                    }]
                }]
            }, {
                title: _('iskwaf2x_report_tab'),
                layout: 'anchor',
                items: [{
                    html: '',
                    cls: 'panel-desc',
                }, {
                    xtype: 'panel',
                    cls: 'container',
                    items: [{}, {
                        xtype: 'iskwaf2x-grid-items99'
                    }]
                }]
            }]
        }, { // <<< НАЧАЛО БЛОКА С ССЫЛКАМИ >>>
            xtype: 'box', // Используем box component для простого HTML
            autoEl: {
                tag: 'div',
                cls: 'container panel-desc',
                style: 'text-align: center; padding-top: 15px; border-top: 1px solid #f0f0f0;',
                cn: [ // Children nodes (дочерние узлы)
                    {
                        tag: 'a',
                        href: 'https://iskwaf.ru/iskwaf2x',
                        html: 'DOC - RUS',
                        target: '_blank',
                        style: 'margin: 0 5px;'
                    },
                    {
                        tag: 'span',
                        html: '|',                // Разделитель
                        style: 'margin: 0 5px; color: #ccc;'
                    },
                    {
                        tag: 'a',
                        href: 'https://iskwaf.com/iskwaf2x',
                        html: 'DOC - EN',
                        target: '_blank',
                        style: 'margin: 0 5px;'
                    },
                    {
                        tag: 'span',
                        html: '|',
                        style: 'margin: 0 5px; color: #ccc;'
                    },
                    {
                        tag: 'a',
                        href: 'https://lite.ip2location.com',
                        html: 'iskwaf2x uses the IP2Location LITE database for IP geolocation',
                        target: '_blank',
                        style: 'margin: 0 5px;'
                    }
                ]
            }
        } // <<< КОНЕЦ БЛОКА С ССЫЛКАМИ >>>
        ]
    });
    iskwaf2x.panel.Home.superclass.constructor.call(this, config);
};
Ext.extend(iskwaf2x.panel.Home, MODx.Panel);
Ext.reg('iskwaf2x-panel-home', iskwaf2x.panel.Home);