iskwaf2x.window.UpdateItem6 = function (config) {
    config = config || {};
    if (!config.id) {
        config.id = 'iskwaf2x-Item6-window-update';
    }
    Ext.applyIf(config, {
        title: _('iskwaf2x_comment_redak'),
        width: 900,
        autoHeight: true,
        url: iskwaf2x.config.connector_url,
        action: 'iskwaf2x\\Processors\\Item6\\Update',
        fields: this.getFields(config),
        // Вот тут ЗАМЕНЯЕМ стандартные кнопки на одну:
        buttons: [{
            text: _('close'),
            handler: function () { this.close(); },
            scope: this
        }]
    });
    iskwaf2x.window.UpdateItem6.superclass.constructor.call(this, config);
};
Ext.extend(iskwaf2x.window.UpdateItem6, MODx.Window, {

    getFields: function (config) {
        return [
            {
                xtype: 'hidden',
                name: 'id',
                id: config.id + '-id',
            },
            {
                xtype: 'container',
                layout: 'column',
                defaults: { layout: 'form', border: false, labelAlign: 'top', anchor: '100%' },
                items: [
                    {
                        columnWidth: 0.33,
                        items: [
                            { xtype: 'textfield', name: 'ip_address', fieldLabel: _('iskwaf2x_ip_address'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'country_code', fieldLabel: _('iskwaf2x_country_code'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'country_name', fieldLabel: _('iskwaf2x_country_name'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'region_name', fieldLabel: _('iskwaf2x_region_name'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'city_name', fieldLabel: _('iskwaf2x_city_name'), readOnly: true, anchor: '100%' }
                        ]
                    },
                    {
                        columnWidth: 0.33,
                        items: [
                            { xtype: 'textfield', name: 'latitude', fieldLabel: _('iskwaf2x_latitude'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'longitude', fieldLabel: _('iskwaf2x_longitude'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'zip_code', fieldLabel: _('iskwaf2x_zip_code'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'time_zone', fieldLabel: _('iskwaf2x_time_zone'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'cidr_asn', fieldLabel: _('iskwaf2x_cidr_asn'), readOnly: true, anchor: '100%' }
                        ]
                    },
                    {
                        columnWidth: 0.33,
                        items: [
                            { xtype: 'textfield', name: 'asn', fieldLabel: _('iskwaf2x_asn'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'as_name', fieldLabel: _('iskwaf2x_as_name'), readOnly: true, anchor: '100%' },
                            { xtype: 'textfield', name: 'last_checked', fieldLabel: _('iskwaf2x_last_checked'), readOnly: true, anchor: '100%' }
                        ]
                    }
                ]
            }
        ];
    },

    loadDropZones: function () {
    }

});
Ext.reg('iskwaf2x-Item6-window-update', iskwaf2x.window.UpdateItem6);
