<?php return array (
  'manifest-version' => '1.1',
  'manifest-attributes' => 
  array (
    'changelog' => 'Changelog for iskwaf2x.

1.0.4-pl
==============
-- [Feature] Added protection for any PHP script (e.g., AJAX connectors) using the new iskwaf-guard.php file.
-- [Improvement] Completely refactored the codebase, moving all logic into the IskWafService class for better stability and maintainability.


1.0.2-pl
==============
-- Bugs fixed

1.0.1-pl
==============
-- Bugs fixed

1.0.0-pl
==============
-- The first release
',
    'license' => 'GNU GENERAL PUBLIC LICENSE
   Version 2, June 1991
--------------------------

Copyright (C) 1989, 1991 Free Software Foundation, Inc.
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.

Preamble
--------

  The licenses for most software are designed to take away your
freedom to share and change it.  By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users.  This
General Public License applies to most of the Free Software
Foundation\'s software and to any other program whose authors commit to
using it.  (Some other Free Software Foundation software is covered by
the GNU Library General Public License instead.)  You can apply it to
your programs, too.

  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

  To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.

  For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have.  You must make sure that they, too, receive or can get the
source code.  And you must show them these terms so they know their
rights.

  We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

  Also, for each author\'s protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software.  If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors\' reputations.

  Finally, any free program is threatened constantly by software
patents.  We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary.  To prevent this, we have made it clear that any
patent must be licensed for everyone\'s free use or not licensed at all.

  The precise terms and conditions for copying, distribution and
modification follow.


GNU GENERAL PUBLIC LICENSE
TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
---------------------------------------------------------------

  0. This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License.  The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language.  (Hereinafter, translation is included without limitation in
the term "modification".)  Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope.  The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the
Program (independent of having been made by running the Program).
Whether that is true depends on what the Program does.

  1. You may copy and distribute verbatim copies of the Program\'s
source code as you receive it, in any medium, provided that you
conspicuously and appropriately publish on each copy an appropriate
copyright notice and disclaimer of warranty; keep intact all the
notices that refer to this License and to the absence of any warranty;
and give any other recipients of the Program a copy of this License
along with the Program.

You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.

  2. You may modify your copy or copies of the Program or any portion
of it, thus forming a work based on the Program, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:

    a) You must cause the modified files to carry prominent notices
    stating that you changed the files and the date of any change.

    b) You must cause any work that you distribute or publish, that in
    whole or in part contains or is derived from the Program or any
    part thereof, to be licensed as a whole at no charge to all third
    parties under the terms of this License.

    c) If the modified program normally reads commands interactively
    when run, you must cause it, when started running for such
    interactive use in the most ordinary way, to print or display an
    announcement including an appropriate copyright notice and a
    notice that there is no warranty (or else, saying that you provide
    a warranty) and that users may redistribute the program under
    these conditions, and telling the user how to view a copy of this
    License.  (Exception: if the Program itself is interactive but
    does not normally print such an announcement, your work based on
    the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole.  If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works.  But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.

In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.

  3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:

    a) Accompany it with the complete corresponding machine-readable
    source code, which must be distributed under the terms of Sections
    1 and 2 above on a medium customarily used for software interchange; or,

    b) Accompany it with a written offer, valid for at least three
    years, to give any third party, for a charge no more than your
    cost of physically performing source distribution, a complete
    machine-readable copy of the corresponding source code, to be
    distributed under the terms of Sections 1 and 2 above on a medium
    customarily used for software interchange; or,

    c) Accompany it with the information you received as to the offer
    to distribute corresponding source code.  (This alternative is
    allowed only for noncommercial distribution and only if you
    received the program in object code or executable form with such
    an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for
making modifications to it.  For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable.  However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.

If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.

  4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License.  Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
void, and will automatically terminate your rights under this License.
However, parties who have received copies, or rights, from you under
this License will not have their licenses terminated so long as such
parties remain in full compliance.

  5. You are not required to accept this License, since you have not
signed it.  However, nothing else grants you permission to modify or
distribute the Program or its derivative works.  These actions are
prohibited by law if you do not accept this License.  Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.

  6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions.  You may not impose any further
restrictions on the recipients\' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.

  7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all.  For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices.  Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

  8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded.  In such case, this License incorporates
the limitation as if written in the body of this License.

  9. The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time.  Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.

Each version is given a distinguishing version number.  If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation.  If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.

  10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission.  For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this.  Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.

NO WARRANTY
-----------

  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.

  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.

---------------------------
END OF TERMS AND CONDITIONS',
    'readme' => 'iskwaf2x
--------------------
Author: Ivan Sergeevish K.
ivan@iskwaf.com
ivan@iskwaf.ru
--------------------

For MODx Revolution 2.x.

http://iskwaf.com/
http://iskwaf.ru/

iskwaf2x - Simple Web Application Firewall for MODX 2

iskwaf2x is a component for MODX Revolution 2.x, providing a simple yet flexible Web Application Firewall (WAF). It is designed to offer basic protection for your website against some common threats, unwanted bots, and suspicious activity by applying a set of customizable rules. The component also includes detailed logging and a reporting system.

Key Features
Multi-layered Security Rules:

IP Address/CIDR Rules: Block, allow, or display CAPTCHA for specific IP addresses or entire subnets. Priority for exact IP matches over subnets is implemented.
User-Agent Rules: Apply actions based on patterns in the User-Agent string (pattern types: "contains", "exact match", "regular expression").
Referrer Rules: Filter requests based on HTTP Referrer using various pattern types.
Request URI Rules: Block or other actions based on the requested URI (path or full URI with query string), supporting "contains", "exact match", "regular expression", and "starts with" patterns.
Flexible Rule Actions:

Block: Complete request blocking, issuing a 403 Forbidden page.
CAPTCHA: Display a local numeric CAPTCHA for user verification.
Allow: Explicitly permit a request, bypassing other lower-priority rules (in the current implementation, this bypasses rules of the same type or subsequent types in the processing order).
Local CAPTCHA:

Simple and customizable CAPTCHA that generates an image with digits.
Task for the user: enter either the first three or the last three digits from the displayed set (e.g., out of 6 digits). The task is chosen randomly.
Uses sessions to remember successful completion, avoiding repeated challenges on every page.
Logging System:

Detailed logging of all WAF triggers, including time, IP, User-Agent, Referrer, URI, triggered rule type, rule ID, and action taken.
Configurable Logging Modes:

full: All site requests are logged (if no WAF rule is triggered, the request is logged as \'VISIT\').
triggered: Only requests that trigger a WAF rule are logged. (This is the default behavior if the setting is empty).
off: WAF event logging is disabled (but the WAF rules themselves continue to operate).
Automatic cleanup of old logs via a CRON script (retention period is configurable).
Daily Reports:

Automatic generation of daily summary reports on WAF activity (via CRON).
Statistics include: total number of events, number of blocks, CAPTCHA displays, allowances by rule, triggers for each rule type (IP, User-Agent, Referrer, URI).
Hit counts from major search engines (Googlebot, Bingbot, YandexBot, DuckDuckBot, Baiduspider, Applebot).
Storage of top-N blocked IP addresses and top-N triggered rules in JSON format.
Management Interface (CMP):

A user-friendly page in the MODX manager to control all aspects of iskwaf2x.
Separate tabs with grids for:
Viewing WAF logs (with search and filtering).
Managing IP rules.
Managing User-Agent rules.
Managing Referrer rules.
Managing Request URI rules.
Viewing daily reports.
Ability to create, edit, enable/disable, and delete rules.
Installation
Download the component package via the "Installer" (Extras -> Installer) in the MODX manager.
Find the "iskwaf2x" package and click "Install".
Follow the on-screen instructions.
Configuration
After installing the component, you need to configure a few system settings and create a page for the CAPTCHA.

1. System Settings
Find them in "System" (cog icon) -> "System Settings", selecting the iskwaf2x namespace.

iskwaf2x_iskwaf2x_captcha_resource_id

Description: MODX Resource ID to be used for displaying the CAPTCHA page.
Action: Create a new resource in MODX (e.g., with alias captcha-verify), ensure it is not cacheable. In the "Resource Content" field, place your snippet call for displaying the CAPTCHA form, e.g., [[!iskwaf2xCaptcha]]. Specify the ID of this resource in this setting.
iskwaf2x_iskwaf2x_option_log

Description: WAF Logging Mode.
Possible values:
full: All requests are logged (triggered rules + normal visits).
triggered: (Default value if the setting is empty) Only requests that trigger a rule are logged.
off: WAF event logging is completely disabled (but rules still apply).
iskwaf2x_iskwaf2x_log_retention_days

Description: Number of days to retain records in the iskwaf2x_logs log. Old entries will be deleted by a CRON script.
Default value (if not set in the script): 7.
2. Setting up CRON Jobs
To automatically generate reports and clean up old logs, you need to set up two CRON jobs on your server:

Cleaning up old logs:

Script: core/components/iskwaf2x/elements/cron/clear_log.php (the path may vary slightly depending on your structure)
Frequency: Recommended once daily.
Example command: /usr/bin/php /path/to/your/site/core/components/iskwaf2x/elements/cron/clear_log.php
Generating daily reports:

Script: core/components/iskwaf2x/elements/cron/generate_daily_report.php (similarly, check the path)
Frequency: Recommended once daily, after midnight (e.g., at 00:05).
Example command: /usr/bin/php /path/to/your/site/core/components/iskwaf2x/elements/cron/generate_daily_report.php
Ensure the paths to the PHP interpreter and scripts are correct for your server.

Usage
Access to the iskwaf2x component management interface is via the main MODX manager menu (usually in the "Extras" or "Applications" section, if you added a menu item).

"Logs" Tab: View all WAF log entries. Search is available.
Rule Tabs (IP, User-Agent, Referrer, Request URI): Manage the respective rules. You can create new rules, edit existing ones, temporarily disable (deactivate), or delete them.
Pattern: The primary value for comparison (IP/CIDR, User-Agent string, Referrer string, URI string).
Pattern Type: Specifies how to interpret the pattern (e.g., "contains", "exact match", "regular expression", "starts with").
Match Query String (for URI rules): A flag indicating whether the pattern should apply to the entire URI (including parameters after ?) or only to the path.
Rule Type (Action): block, allow, captcha.
"Report" Tab: View daily summary reports of WAF activity.
Important Notes
Order of Rule Execution: In the current implementation, the plugin checks rules in the following order: IP Addresses -> User-Agent -> Referrer -> Request URI. The very first triggered rule determines the action for the request, and no further rule checks (of that type or subsequent types in that specific request) are performed.
Regular Expressions: When using the "regular expression" pattern type, ensure your expressions are correct and include necessary delimiters and flags (e.g., /badbot/i). Test them thoroughly.
Visitor\'s IP Address: The plugin uses $_SERVER[\'REMOTE_ADDR\'] by default. If your site is behind a reverse proxy (e.g., Cloudflare, Nginx), REMOTE_ADDR may contain the proxy\'s IP address. To get the real visitor IP, you may need to read other headers (e.g., HTTP_X_FORWARDED_FOR, HTTP_CF_CONNECTING_IP) and adapt the $ipAddress retrieval logic in the plugin.
Performance: A large number of complex rules (especially regular expressions) or enabling full logging mode on high-traffic sites can impact performance. Use with caution and monitor performance.
False Positives: There is always a risk of false positives. Regularly review logs, especially after adding new rules. It is recommended to initially create new "aggressive" rules with a non-blocking action (e.g., if a "log only" action were available) to assess their impact before setting them to block.
Disclaimer
iskwaf2x is a tool for basic protection and is not a substitute for comprehensive enterprise security solutions or specialized WAF services. Use it at your own risk. It is always recommended to have up-to-date backups of your site.',
    'requires' => 
    array (
      'php' => '>=7.2',
      'modx' => '>=2.5.0 <3.0.0',
    ),
  ),
  'manifest-vehicles' => 
  array (
    0 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modNamespace',
      'guid' => '33eb4b74b9f85342cf499e7763df9249',
      'native_key' => 'iskwaf2x',
      'filename' => 'modNamespace/0e635543f7a3579678271a505963c020.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    1 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modMenu',
      'guid' => '22437879a440828f7e3a80a02dd63353',
      'native_key' => 'iskwaf2x',
      'filename' => 'modMenu/22cae9bf13a80b9cfe1d9682f4f5dbd1.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    2 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => 'b7123f5b777d6349af664641d933f5d5',
      'native_key' => 'iskwaf2x_iskwaf2x_option_log',
      'filename' => 'modSystemSetting/8509c6c4aef3b6648ef3aa945dce327a.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    3 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => '1788be2f18c197524778ed0438eeb8cd',
      'native_key' => 'iskwaf2x_iskwaf2x_captcha_resource_id',
      'filename' => 'modSystemSetting/4a110ff493c2c0dac83464a01a425f54.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    4 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => '1af47dfadc8914338503a317e732d0be',
      'native_key' => 'iskwaf2x_iskwaf2x_log_retention_days',
      'filename' => 'modSystemSetting/878c44762d636fa07941b0148b4b2545.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    5 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => 'e82b7d4646a9f12427621d02c729358f',
      'native_key' => 'iskwaf2x_iskwaf2x_ip_analysis_limit_per_run',
      'filename' => 'modSystemSetting/9ef3af90a064eb4a602ac75e368ab841.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    6 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => 'cf4acd866ecfd692a2c88c003a019186',
      'native_key' => 'iskwaf2x_iskwaf2x_ip_analysis_update_interval',
      'filename' => 'modSystemSetting/479d342da8447fcd8169e10cac8d416c.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    7 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => '29f8e29af6ed4f2759ad3dacd7e0ddeb',
      'native_key' => 'iskwaf2x_iskwaf2x_ip2location_download_token',
      'filename' => 'modSystemSetting/25e089ac73f2a0a643e56451bf489218.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    8 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSystemSetting',
      'guid' => '10502506054d06bb06b216639d15715f',
      'native_key' => 'iskwaf2x_iskwaf2x_waf_check_mode',
      'filename' => 'modSystemSetting/835a396b5c94e9570cb81b1f54d31d17.vehicle',
      'namespace' => 'iskwaf2x',
    ),
    9 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modCategory',
      'guid' => '74d48af499f79bea423f8cc30cc19664',
      'native_key' => NULL,
      'filename' => 'modCategory/48e8dc02a5f6727b50ec574f873c228e.vehicle',
      'namespace' => 'iskwaf2x',
    ),
  ),
);