<?php

class IskWafRuleUserAgentUpdateProcessor extends modObjectUpdateProcessor
{
    public $objectType = 'IskWafRuleUserAgent';
    public $classKey = 'IskWafRuleUserAgent';
    public $languageTopics = ['iskwaf2x'];
    


    /**
     * We doing special check of permission
     * because of our objects is not an instances of modAccessibleObject
     *
     * @return bool|string
     */
    public function beforeSave()
    {
        if (!$this->checkPermissions()) {
            return $this->modx->lexicon('access_denied');
        }

        return true;
    }


    /**
     * @return bool
     */
    public function beforeSet()
    {
        $id = (int)$this->getProperty('id');

        return parent::beforeSet();
    }
}

return 'IskWafRuleUserAgentUpdateProcessor';
