<?php

class IskWafIp2LocationDetailClearTableProcessor extends modObjectCreateProcessor
{
    public $objectType = 'IskWafIp2LocationDetail';
    public $classKey = 'IskWafIp2LocationDetail';
    public $languageTopics = ['iskwaf2x'];
    

    public function process()
    {
        $table = $this->modx->getTableName($this->classKey);

        $sql = "TRUNCATE TABLE {$table}";
        $stmt = $this->modx->prepare($sql);

        if (!$stmt->execute()) {
            return $this->failure($this->modx->lexicon('iskwaf_clear_table_error'));
        }

        return $this->success($this->modx->lexicon('iskwaf_clear_table_success'));
    }

}

return 'IskWafIp2LocationDetailClearTableProcessor';