<?php
if (file_exists(dirname(dirname(dirname(dirname(__FILE__)))) . '/config.core.php')) {
    /** @noinspection PhpIncludeInspection */
    require_once dirname(dirname(dirname(dirname(__FILE__)))) . '/config.core.php';
} else {
    require_once dirname(dirname(dirname(dirname(dirname(__FILE__))))) . '/config.core.php';
}
/** @noinspection PhpIncludeInspection */
require_once MODX_CORE_PATH . 'config/' . MODX_CONFIG_KEY . '.inc.php';
/** @noinspection PhpIncludeInspection */
require_once MODX_CONNECTORS_PATH . 'index.php';
/** @var iskwaf2x $iskwaf2x */
$iskwaf2x = $modx->getService('iskwaf2x', 'iskwaf2x', MODX_CORE_PATH . 'components/iskwaf2x/model/');
$modx->lexicon->load('iskwaf2x:default');

// handle request
$corePath = $modx->getOption('iskwaf2x_core_path', null, $modx->getOption('core_path') . 'components/iskwaf2x/');
$path = $modx->getOption('processorsPath', $iskwaf2x->config, $corePath . 'processors/');
$modx->getRequest();

/** @var modConnectorRequest $request */
$request = $modx->request;
$request->handleRequest([
    'processors_path' => $path,
    'location' => '',
]);