iskwaf2x.window.CreateItem2 = function (config) {
    config = config || {};
    if (!config.id) {
        config.id = 'iskwaf2x-Item2-window-create';
    }
    Ext.applyIf(config, {
        title: _('iskwaf2x_iprule_create'),
        width: 550,
        autoHeight: true,
        url: iskwaf2x.config.connector_url,
        action: 'mgr/item2/create',
        fields: this.getFields(config),
        keys: [{
            key: Ext.EventObject.ENTER,
            shift: true,
            fn: function () { this.submit(); },
            scope: this
        }]
    });
    iskwaf2x.window.CreateItem2.superclass.constructor.call(this, config);
};
Ext.extend(iskwaf2x.window.CreateItem2, MODx.Window, {
    getFields: function (config) {
        return [{
            xtype: 'textfield',
            fieldLabel: _('iskwaf2x_iprule_ip_cidr'),
            name: 'ip_cidr',
            id: config.id + '-ip_cidr',
            anchor: '99%',
            allowBlank: false
        }, {
            xtype: 'combo',
            fieldLabel: _('iskwaf2x_iprule_rule_type'),
            name: 'rule_type',
            hiddenName: 'rule_type',
            id: config.id + '-rule_type',
            store: new Ext.data.ArrayStore({
                id: 0,
                fields: ['value', 'display'],
                data: [
                    ['block', _('iskwaf2x_iprule_type_block')],
                    ['allow', _('iskwaf2x_iprule_type_allow')],
                    ['captcha', _('iskwaf2x_iprule_type_captcha')]
                ]
            }),
            mode: 'local',
            displayField: 'display',
            valueField: 'value',
            triggerAction: 'all',
            editable: false,
            anchor: '99%',
            allowBlank: false,
            value: 'block'
        }, {
            xtype: 'textarea',
            fieldLabel: _('iskwaf2x_iprule_description'),
            name: 'description',
            id: config.id + '-description',
            anchor: '99%',
            height: 100,
            allowBlank: true
        }, {
            xtype: 'xcheckbox',
            boxLabel: _('iskwaf2x_iprule_active'),
            name: 'active',
            id: config.id + '-active',
            checked: true
        }];
    },
    loadDropZones: function () {}
});
Ext.reg('iskwaf2x-Item2-window-create', iskwaf2x.window.CreateItem2);


iskwaf2x.window.UpdateItem2 = function (config) {
    config = config || {};
    if (!config.id) {
        config.id = 'iskwaf2x-Item2-window-update';
    }
    Ext.applyIf(config, {
        title: _('iskwaf2x_history_redak'),
        width: 550,
        autoHeight: true,
        url: iskwaf2x.config.connector_url,
        action: 'mgr/item2/update',
        fields: this.getFields(config),
        keys: [{
            key: Ext.EventObject.ENTER,
            shift: true,
            fn: function () { this.submit(); },
            scope: this
        }]
    });
    iskwaf2x.window.UpdateItem2.superclass.constructor.call(this, config);
};
Ext.extend(iskwaf2x.window.UpdateItem2, MODx.Window, {
    getFields: function (config) {
        return [{
            xtype: 'hidden',
            name: 'id',
            id: config.id + '-id'
        }, {
            xtype: 'textfield',
            fieldLabel: _('iskwaf2x_iprule_ip_cidr'),
            name: 'ip_cidr',
            id: config.id + '-ip_cidr',
            anchor: '99%',
            allowBlank: false
        }, {
            xtype: 'combo',
            fieldLabel: _('iskwaf2x_iprule_rule_type'),
            name: 'rule_type',
            hiddenName: 'rule_type',
            id: config.id + '-rule_type',
            store: new Ext.data.ArrayStore({
                id: 0,
                fields: ['value', 'display'],
                data: [
                    ['block', _('iskwaf2x_iprule_type_block')],
                    ['allow', _('iskwaf2x_iprule_type_allow')],
                    ['captcha', _('iskwaf2x_iprule_type_captcha')]
                ]
            }),
            mode: 'local',
            displayField: 'display',
            valueField: 'value',
            triggerAction: 'all',
            editable: false,
            anchor: '99%',
            allowBlank: false
        }, {
            xtype: 'textarea',
            fieldLabel: _('iskwaf2x_iprule_description'),
            name: 'description',
            id: config.id + '-description',
            anchor: '99%',
            height: 100,
            allowBlank: true
        }, {
            xtype: 'xcheckbox',
            boxLabel: _('iskwaf2x_iprule_active'),
            name: 'active',
            id: config.id + '-active'
        }];
    },
    loadDropZones: function () {}
});
Ext.reg('iskwaf2x-Item2-window-update', iskwaf2x.window.UpdateItem2);
